io.milvus.param.resourcegroup

## Class UpdateResourceGroupsParam

- java.lang.Object
- - io.milvus.param.resourcegroup.UpdateResourceGroupsParam

-     public class UpdateResourceGroupsParam
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateResourceGroupsParam.Builder` Builder for `UpdateResourceGroupsParam` class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpdateResourceGroupsParam.Builder` | `newBuilder()`
    `io.milvus.grpc.UpdateResourceGroupsRequest` | `toGRPC()` Converts to grpc request.
    `java.lang.String` | `toString()` Constructs a `String` by `UpdateResourceGroupsParam` instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newBuilder

          public static UpdateResourceGroupsParam.Builder newBuilder()

    - #### toGRPC

          @NonNull
          public io.milvus.grpc.UpdateResourceGroupsRequest toGRPC()

      Converts to grpc request.
      Returns:
        io.milvus.grpc.UpdateResourceGroupsRequest

    - #### toString

          public java.lang.String toString()

      Constructs a `String` by `UpdateResourceGroupsParam` instance.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        `String`